<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

### Table of Contents

-   [errorLevels][1]
-   [AppError][2]
    -   [Parameters][3]
    -   [\_\_proto\_\_][4]
-   [handleError][5]
    -   [Parameters][6]
-   [isTrustedError][7]
    -   [Parameters][8]
-   [on][9]
-   [on][10]
-   [index][11]

## errorLevels

An object that holds error levels.

Type: {COMMON: [string][12], FATAL: [string][12], CRITICAL: [string][12]}

## AppError

Creates a new AppError

### Parameters

-   `sender`  
-   `method`  
-   `message`  
-   `severity`  
-   `isOperational`  
-   `channelId`  
-   `sendToSlack`  
-   `enableStackTrace`  

### \_\_proto\_\_

Attach error prototypical inheritance

## handleError

Handles application errors and calls the ffLogger (sends log to console if not
in production and also to papertrail). Collects params and stack trace.

### Parameters

-   `sender`  Machine sending the error
-   `method`  method sending the error
-   `message`  error description
-   `severity`  which errorLevel (defined in error handler)
-   `isOperational`  is it an operational error or programmer error
-   `channelId`  slack channel to post to if error is critical
-   `sendToSlack`  should the message be sent to slack, even if not critical
-   `enableStackTrace`  send error message with or without stacktrace

Returns **void** 

## isTrustedError

Takes in a custom error object and return a boolean. If the error
is an operation error it returns true, and returns false if it is a
Programmer error.

### Parameters

-   `error`  

Returns **any** 

## on

Global handler for all uncaught exceptions
If an uncaughtException is not an Operational error,
gracefully restart the application.

## on

Global handler for all uncaught promise rejections.
If an uncaught promise rejection is thrown this will handle the error
gracefully.

## index

errorHandler module export.

Type: {AppError: [AppError][13], isTrustedError: (function (any): any), handleError: (function ([string][12], [string][12], [string][12], [boolean][14]): [Promise][15]&lt;([error][16] | never)>)}

[1]: #errorlevels

[2]: #apperror

[3]: #parameters

[4]: #__proto__

[5]: #handleerror

[6]: #parameters-1

[7]: #istrustederror

[8]: #parameters-2

[9]: #on

[10]: #on-1

[11]: #index

[12]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String

[13]: #apperror

[14]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean

[15]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Promise

[16]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Error
